package rocks.zipcode.io.quiz3.arrays;

import java.util.Arrays;

/**
 * @author leon on 09/12/2018.
 */
public class WaveGenerator {
    public static String[] wave(String str)
    {
        //String[] answer = new String[str.toCharArray().length];
        String[] answer = getArray(str);
        str = str.toLowerCase();
        int count = 0;
        String[] characters = str.split("");
        for(int i = 0; i < characters.length; i ++){
            if(isAlpha(characters[i])){
                String[] temp = Arrays.copyOf(characters, characters.length);
                temp[i] = temp[i].toUpperCase();
                answer[count] = toString(temp);
                count ++;
            }
        }
        return answer;
    }

    public static boolean isAlpha(String c) {
        return c.chars().allMatch(Character::isLetter);
    }

    public static String toString(String[] s){
        StringBuilder builder = new StringBuilder();
        for(String c : s){
            builder.append(c);
        }
        return builder.toString();
    }

    public static String[] getArray(String c){
        int count = 0;
        String[] array = c.split("");
        for(String s : array){
            if(isAlpha(s)){
                count ++;
            }
        }
        return new String[count];
    }
}
