package rocks.zipcode.io.quiz3.fundamentals;

import java.util.Arrays;

/**
 * @author leon on 09/12/2018.
 */
public class PigLatinGenerator {
    public String translate(String str) {
        String result = "";

        String[] words = str.split(" ");
        for(int i = 0; i < words.length; i ++){
            String word = words[i];
            String PLWord = "";
            if(findVowel(word) != null) {
                String[] parts = word.split(findVowel(word), 2);
                if (isVowel(word.substring(0, 1))) {
                    PLWord = word + "way";
                } else if (parts.length == 2) {
                    PLWord = findVowel(word) + parts[1] + parts[0] + "ay";
                } else if (parts.length == 1) {
                    PLWord = findVowel(word) + parts[0] + "ay";
                }
                if (i != words.length - 1) {
                    result += PLWord + " ";
                } else {
                    result += PLWord;
                }
            } else {
                result  += word + "ay";
            }
        }
        return result;
    }

    public String findVowel(String v){
        String[] vowels = {"a", "e", "i", "o", "u"};
        String[] chars = v.split("");
        for(String character : chars){
            for(String vowel : vowels){
                if(vowel.equals(character.toLowerCase())){
                    return character;
                }
            }
        }
        return null;
    }

    public boolean isVowel(String v){
        String[] vowels = {"a", "e", "i", "o", "u"};
        for(String vowel : vowels){
            if(vowel.equals(v.toLowerCase())){
                return true;
            }
        }
        return false;
    }
}
