package rocks.zipcode.io.quiz3.fundamentals;

/**
 * @author leon on 09/12/2018.
 */
public class VowelUtils {
    public static Boolean hasVowels(String word) {
        String[] characters = word.split("");
        for(String characcter : characters){
            if(isVowel(characcter)){
                return true;
            }
        }
        return false;
    }

    public static Integer getIndexOfFirstVowel(String word) {
        String[] vowels = {"a", "e", "i", "o", "u"};
        String[] characters = word.split("");
        for(int i= 0; i < characters.length; i ++){
            for(String in : vowels){
                if(characters[i].equals(in)){
                    return i;
                }
            }
        }
        return null;
    }


    public static Boolean startsWithVowel(String word) {
        return isVowel(word.substring(0, 1));
    }

    public static Boolean isVowel(Character character) {
        String[] vowels = {"a", "e", "i", "o", "u"};
        for(String vowel : vowels){
            if(vowel.equals(String.valueOf(character).toLowerCase())){
                return true;
            }
        }
        return false;
    }

    public static boolean isVowel(String v){
        String[] vowels = {"a", "e", "i", "o", "u"};
        for(String vowel : vowels){
            if(vowel.equals(v.toLowerCase())){
                return true;
            }
        }
        return false;
    }
}
