package rocks.zipcode.io.quiz3.generics;

import java.lang.reflect.Array;
import java.util.Arrays;
import java.util.function.Function;

/**
 * @author leon on 09/12/2018.
 */
public class ArrayUtility<SomeType> {

    private final SomeType[] array;

    public ArrayUtility(SomeType[] array) {
        this.array = array;
    }

    public SomeType findOddOccurringValue() {
        for(SomeType in : array){
            int occ = findDuplicateOfElement(in);
            if(occ % 2 != 0){
                return in;
            }
        }
        return null;
    }

    public SomeType findEvenOccurringValue() {
        for(SomeType in : array){
            int occ = findDuplicateOfElement(in);
            if(occ % 2 == 0){
                return in;
            }
        }
        return null;
    }

    public Integer getNumberOfOccurrences(SomeType valueToEvaluate) {
        return findDuplicateOfElement(valueToEvaluate);
    }

    public SomeType[] filter(Function<SomeType, Boolean> predicate) {
        return null;
    }

    public int findDuplicateOfElement(SomeType element){
        int count = 0;
        for(SomeType i : array){
            if(i.equals(element)){
                count ++;
            }
        }
        return count;
    }

    public boolean contains(Integer[] arr, Integer element){
        for(Integer integer : arr){
            if(integer != null) {
                if (integer.equals(element)) {
                    return true;
                }
            }
        }
        return false;
    }
}
